Configuration AddInstallUser
{
    param(
        [Parameter(Mandatory=$true)]
        [string] $AutomationCredentialUserName
    )
    Import-DscResource -ModuleName PSDesiredStateConfiguration

    $Cred = Get-AutomationPSCredential $AutomationCredentialUserName

    User InstallUser
    {
        Ensure              = "Present"
        UserName            = $Cred.UserName
        Password            = $Cred
        Description         = "User Account for installing DSC-features"
    }
    Group AddUserToAdministrators
    {
        GroupName           = "Administrators"
        Ensure              = "Present"
        MembersToInclude    = $Cred.UserName
        DependsOn           = "[User]InstallUser"
    }
}