Configuration RemoveInstallUser
{
    param(
        [Parameter(Mandatory=$true)]
        [string] $AutomationCredentialUserName
    )
    Import-DscResource -ModuleName PSDesiredStateConfiguration

    $Cred = Get-AutomationPSCredential $AutomationCredentialUserName

    User InstallUser
    {
        Ensure              = "Absent"
        UserName            = $Cred.UserName
        Password            = $Cred
        Description         = "Remove Local administrator user to run CopyAcl since NT AUTHORITY\SYSTEM dont have access to a file."
    }
    Group RemoveUserToAdministrators
    {
        GroupName           = "Administrators"
        Ensure              = "Present"
        MembersToExclude    = $Cred.UserName
        DependsOn           = "[User]InstallUser"
    }
}